<?php

include_once ('/usr/local/php/include/restore.Class.php');

class apiCall {

	private $_name, $_parameters, $_files, $_execResult, $_execResultString, $_execResponseCode, $_restore;

	function __construct ($get = null, $post = null, $files = null) {
		$this->_name = basename(dirname(__FILE__));
		$this->_parameters = array_merge($get, $post);
		$this->_execResult = true;
		$this->_execResponseCode = 200;
		$this->_restore = new restoreConfig(0);
		$this->_execResultString = 'success';
	}

	function execute () {

		if (!is_dir('/usr/conf/backup/')) {
			$this->_execResultString = 'error:previous_configuration_not_found;';
			$this->_execResult = false;
			$this->_execResponseCode = 404;
			return($this->_execResult);
		}

		system('/bin/cp -f /usr/conf/backup/* /usr/conf/');
		$this->_restore->restoreConfig();
		Helper::activate(3);

		return($this->_execResult);
	}

	function display () {
		return($this->_name . ':' . $this->_execResultString);
	}

	function responsecode () {
		return($this->_execResponseCode);
	}
}
?>
